%include %{_rpmconfigdir}/macros.python2

%define pkg iniparse

Name: python2-%{pkg}
Version: 0.4
Release: 2
License: MIT and PYTHON-2.0
Summary: ConfigParser API-compatible INI parser for Python
Url: http://code.google.com/p/iniparse/

Source: https://files.pythonhosted.org/packages/0f/d1/3090ef9be165da5ddb1b0cf2b332d3282588bdd2dd0967e94b547f10055f/iniparse-0.4.tar.gz

BuildArch: noarch

BuildRequires: python2
BuildRequires: python2-pip

%description
iniparse is an INI parser for Python which is API compatible with the standard
library’s ConfigParser, preserves structure of INI files (order of sections &
options, indentation, comments, and blank lines are preserved when data is
updated), and is more convenient to use.

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/%{pkg}
%{py_sitedir}/%{pkg}-%{version}.dist-info
%{_docdir}/%{pkg}-%{version}

%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Mon Dec 31 2018 - Kevin Adler <kadler@us.ibm.com>
- Word wrap description and use SPDX license identifier

* Wed Aug 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Ensure packages build with build.py

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Add python 2 iniparse package needed for yum
